NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder Class Reference

Represents a ResizeBendRadius feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendReliefTypeOptions { Square, Round, None }
 This enum represents the bend relief type. More...
 
enum  Types { FixedFoldedLength, FixedUnfoldedLength }
 This enum represents the feature types. More...
 

Public Member Functions

unsafe void SetBendReliefType (NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefTypeOptions bendReliefType)
  More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector BendFaces [get]
 Returns the bend faces More...
 
unsafe NXOpen.Expression BendRadius [get]
 Returns the bend radius More...
 
unsafe NXOpen.Expression BendReliefDepth [get]
 Returns the bend relief depth. More...
 
unsafe
NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefTypeOptions 
BendReliefType [get]
 Returns the relief type for the resize bend radius feature. More...
 
unsafe NXOpen.Expression BendReliefWidth [get]
 Returns the bend relief width. More...
 
unsafe
NXOpen.SelectDisplayableObject 
ReferenceEntity [get]
 Returns the non-thickness planar face or linear edge to remain fixed while bend is resized More...
 
unsafe
NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.Types 
Type [get, set]
 Returns or sets the feature type More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a ResizeBendRadius feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateResizeBendRadiusFeatureBuilder

Created in NX5.0.0

Member Enumeration Documentation

This enum represents the bend relief type.

Enumerator
Square 
Round 
None 

This enum represents the feature types.

Enumerator
FixedFoldedLength 
FixedUnfoldedLength 

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.SetBendReliefType ( NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefTypeOptions  bendReliefType)
inline

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendReliefType

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendFaces
get

Returns the bend faces

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendRadius
get

Returns the bend radius

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefDepth
get

Returns the bend relief depth.

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefTypeOptions NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefType
get

Returns the relief type for the resize bend radius feature.

The options are in NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefType .

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.BendReliefWidth
get

Returns the bend relief width.

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.ReferenceEntity
get

Returns the non-thickness planar face or linear edge to remain fixed while bend is resized

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.Types NXOpen.Features.SheetMetal.ResizeBendRadiusBuilder.Type
getset

Returns or sets the feature type

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.